- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# CullVisitor File Reference

`#include <map>`
`#include <vector>`
`#include <osg/NodeVisitor>`
`#include <osg/BoundingSphere>`
`#include <osg/BoundingBox>`
`#include <osg/Matrix>`
`#include <osg/Drawable>`
`#include <osg/StateSet>`
`#include <osg/State>`
`#include <osg/Impostor>`
`#include <osg/ClearNode>`
`#include <osg/Notify>`
`#include <osg/CullStack>`
`#include <osgUtil/RenderGraph>`
`#include <osgUtil/RenderStage>`
`#include <osg/Vec3>`

Include dependency graph for CullVisitor:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | osgUtil
## Classes
class | osgUtil::CullVisitor
| Basic NodeVisitor implementation for rendering a scene. More...
struct | osgUtil::CullVisitor::MatrixPlanesDrawables
## Defines
#define | OSGUTIL_CULLVISITOR 1

## Define Documentation

#define OSGUTIL_CULLVISITOR 1